hi,

+1 for adding some tooling that verifies all of this.

I see OAK-1362 is closed, shouldn't we open a dedicated issue for this?

best,
alex


On Mon, Feb 10, 2014 at 12:21 PM, Jukka Zitting <jukka.zitting@gmail.com> wrote:
Hi,

On Fri, Feb 7, 2014 at 6:04 AM, Alex Parvulescu
<alexparvulescu@apache.org> wrote:
> Please vote on releasing this package as Apache Jackrabbit 2.7.4.

    [x] +1 Release this package as Apache Jackrabbit 2.7.4

On Fri, Feb 7, 2014 at 1:09 PM, Tobias Bocanegra <tripod@apache.org> wrote:
> I'm a bit concerned about your change in http://svn.apache.org/r1565601 where
> you moved the AbstractLazyIterator to jcr-commons from oak but didn't increase
> exported OSGi package version in the org.apache.jackrabbit.commons.iterator
> package.

A good example of why the kind of tooling suggested in OAK-1362 would be useful.

> In order to define the proper package imports for oak, I suggest that we
> increase the package version from 2.3 to 2.3.1

IIUC 2.4 would be the correct version here. Again, determining the
correct version changes would be easier with better tooling.

BR,

Jukka Zitting